# -*- coding: utf-8 -*-

# Copyright (C) 2013-2014 Avencall
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

from sqlalchemy.schema import Column, PrimaryKeyConstraint
from sqlalchemy.types import String, DateTime

from xivo_dao.helpers.db_manager import Base


class Auth_Token(Base):
    __tablename__ = 'auth_token'
    __table_args__ = (
        PrimaryKeyConstraint('token'),
    )

    token = Column(String(38), autoincrement=False)
    auth_id = Column(String(128), nullable=False)
    xivo_user_uuid = Column(String(38), nullable=True)
    issued_at = Column(DateTime, nullable=False)
    expires_at = Column(DateTime, nullable=True)
    acls = Column(String(255), nullable=True)
